
module Kernel

  # Synonymous with #clone, this is an interesting
  # method in that it promotes prototype-based Ruby.
  # Now Classes aren't the only things that respond to #new.
  #
  #   "ABC".new  => "ABC"
  #
  def new
    self.clone
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test_new
      q = nil
      s = "Testing"
      assert_nothing_raised { q = s.new }
      assert_equal( s, q )
      assert_not_equal( s.object_id, q.object_id )
    end

  end

=end
